import processing.core.*; import processing.opengl.*; import java.applet.*; import java.awt.*; import java.awt.image.*; import java.awt.event.*; import java.io.*; import java.net.*; import java.text.*; import java.util.*; import java.util.zip.*; public class compoProcessing extends PApplet {

int x = 0;
int y =0;
int squareSide;
int wX = 0;
int wY = 0;
int minT = 0;
int maxT = 0;

float z;
PFont fontA; 
int cameraCount = 0;



public void setup ()
{
   fontA= loadFont("Ziggurat-HTF-Black-32.vlw");
   size(640,480, OPENGL);
   background(45);  
   x = 0;
   noStroke();
   squareSide = 50;
   frameRate(1000);
   pushMatrix();
   resetGraph();   
}

public void printMessage()
{
  pushMatrix();
  
 
// Set the font and its size (in units of pixels)
textFont(fontA, 60);
translate(100,100,0);
int x = 30;

// Use fill() to change the value or color of the text
fill(255);

minT = 5000;
maxT = 10000;

if (millis() > minT && millis() < maxT)
{

  text("MATENME!!", x, 6);  
}

minT += 5000;
maxT += 5000;

if (millis() > minT && millis() < maxT)
{

  text("ME", x, 6);  
}


minT += 5000;
maxT += 5000;

if (millis() > minT && millis() < maxT)
{
  text("HICIERON", x, 6);  
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("SIN", x, 6);  
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("GANAS",  x, 6);  
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("=(",  x, 80);  
  text("=(",  x, 0);  
  text("=(",  x, 40);  
  text("=(",  x, 120);  
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("POR ESO", x, 6);
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("HAY", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("QUE", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("COMERSE", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("CINCO", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("MINUTOS", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("DE", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("ESTA", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("HUEVADA", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("!", x, 6);
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("NO VOTEN", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("POR", x, 6);
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("CRISTINA", x, 6);
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("(es mala)", x, 6);
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("HACK THE PLANET", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("(not)", x, 6);
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("VAN EN CANA!!", x, 6);
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  background((millis() % 255));
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("VOLVIIIII", x, 6);
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("ME EXTRA#ARON???", x, 6);
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("Yo tambien...", x, 6);
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("HeH!", x, 6);
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("No se", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("como pasar", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("MP3", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("En processing =((", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("En serio", x, 6);
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("se acabo!!!", x, 6);
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("MASOQUISTAS!!!", x, 6);
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("juegen al DOOM", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("(por IPX)", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("o algo...", x, 6);
}

minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text(".....", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("fleco y male", x, 6);
}


minT += 5000;
maxT += 5000;
if (millis() > minT && millis() < maxT)
{
  text("tenian razon...", x, 6);
}
 popMatrix();
}

public void changeCamera()
{
  
  cameraCount++;  
  background(0);
   camera(random(width) * 2.5f, random(height) * 2.5f, random(1000), 300, 300, 300, 
       0.0f, 1.0f, 0.0f);   
  print("CAMERA");   
}

public void resetGraph()
{
   wY = (int)random(0, height - squareSide);
   wX = (int)random(0, 600);
   x = wX;
   y = wY;
}

public void draw()
{  
  if ((int)random(0, 300) == 42)
  {
    resetGraph();
  }
  else
  {
     fill(random(0, 200),random(0,200),0, (int)random(0, 100));
  }   

   x = (int)random(0, 900);    
   y = (int)random(0,3000);
   
   switch((int)random(0,300))
   {
     case 0:
       wX = wX + squareSide;
       break;
     case 1:
       wY = wY + squareSide;
       break; 
    case 2:
      break;
    case 3:
      changeCamera();
      }
  //directionalLight( 51, 102, 126, 200, -300, -50);
    //spotLight(51, 102, 126, 80, 20, 40, -1, 0, 0, PI/2, 2);
  //ambientLight(random(50,80), random(150,150), random(200,250));
   z = 0 + random(100, 200);
   translate(x, y, z);
  //lightSpecular(0,0,255);
//  ambientLight(255.0,0.0,0.0);
  //directionalLight(255, 0, 0, x+20, y+20, z+20);
  box(200);
  printMessage();   
}


  static public void main(String args[]) {     PApplet.main(new String[] { "compoProcessing" });  }}